PhpSwitcher (>= 5.0.0) PHP runtime dependencies not installed under Ubuntu 16.04

  • Hello,


    I become this error when I compiling PHP7.2 and PHP7.3


    perl /var/www/imscp/gui/plugins/PhpSwitcher/PhpCompiler/php_compiler.pl --register 7.2


    No error by compiling but in the Database is this error.


    Code
    1. Couldn't get PHP version through the '/opt/phpswitcher/20190929/php7.2/bin/php-cgi' executable: /opt/phpswitcher/20190929/php7.2/bin/php-cgi: error while loading shared libraries: libargon2.so.0: cannot open shared object file: No such file or directory


    This is on my Testserver: Distribution: Ubuntu | Release: 16.04 LTS


    Kind regards

    Viktor


    Sorry for my englisch

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

  • As I see, there is a missing PHP runtime dependency. I'll check and fix.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • 5.0.0? There is a new version 5.0.1.

    5.0.1 should be affected too. It seem strange to me because I've not such issue with other distro...

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Nuxwin

    Changed the title of the thread from “PHP Switcher 5.0.0 - Error compiling PHP7.2 and PHP7.3” to “PhpSwitcher (>= 5.0.0) PHP runtime dependencies not installed under Ubuntu 16.04”.
  • Nuxwin

    Added the Label patched
  • Viktor


    Confirmed. The PHP runtime dependency package wasn't installed as some of dependencies were wrong. This is fixed in our git repository. The fix will be available in version 5.0.2.


    Thank you for your report.

    Thread closed.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Nuxwin

    Closed the thread.